> For the complete documentation index, see [llms.txt](https://docs.maximise.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maximise.ai/whitelabel-apis/all-domains.md).

# All Domains

{% tabs %}
{% tab title="Curl" %}

```bash
curl --location 'https://api.maximise.ai/v1/whitelabel-api/domains?page=1&limit=50' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

axios.get('https://api.maximise.ai/v1/whitelabel-api/domains?page=1&limit=50', {
    headers: {accept: 'application/json', Authorization: 'Bearer <token>'}
})
  .then(response => {
    console.log(response.data);
  })
  .catch(error => {
    console.log(error);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import json

url = "https://api.maximise.ai/v1/whitelabel-api/domains?page=1&limit=50"

payload = {}
headers = {
  'Authorization': 'Bearer <token>',
  'Content-Type': 'application/json'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

{% endtab %}

{% tab title="Java" %}

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("https://api.maximise.ai/v1/whitelabel-api/domains?page=1&limit=50")
  .method("GET", body)
  .addHeader("Authorization", "Bearer <token>")
  .addHeader("Content-Type", "application/json")
  .build();
Response response = client.newCall(request).execute();
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require "uri"
require "json"
require "net/http"

url = URI("https://api.maximise.ai/v1/whitelabel-api/update-domain")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
  "did": "SPzRnUKSwB0jPWaD",
  "active": true,
  "verified": true
})

response = https.request(request)
puts response.read_body
```

{% endtab %}

{% tab title="Php" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.maximise.ai/v1/whitelabel-api/update-domain',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
    "did": "SPzRnUKSwB0jPWaD",
    "active": true,
    "verified": true,
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <token>',
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}
{% endtabs %}

### Example response <a href="#example-response" id="example-response"></a>

**Status Code:** <mark style="color:green;">200 OK</mark>

```json
[
    {
        "uid": "22bb64ef-0c82-4870-a5ef-082084b4295a",
        "id": "KA-nyoNJWbjWglN5P",
        "domain": "example.com",
        "team": "670296297231defa325d5c0f4",
        "active": true,
        "archived": false,
        "verified": false,
        "capturing": false,
        "identification_preferences": {
            "accounts": true
        },
        "whitelabel": "66795bdfa4dace0e98d77bed",
        "script": "<script type=\"text/javascript\">\n(function (w, d, s, u, wid, id, tid, dm) {\n    w.mxq = w.mxq || [];\n    w.mxq.push({ wid: wid, id: id, tid: tid, dm: dm });\n    var js, fjs = d.getElementsByTagName(s)[0];\n    js = d.createElement(s);\n    js.async = true;\n    js.src = u + \"?t=\" + new Date().getTime();\n    fjs.parentNode.insertBefore(js, fjs);\n})(window, document, \"script\", \"https://idgraph.nyc3.cdn.digitaloceanspaces.com/pixel.min.js\", \"RMieIJj0M7RIDmr7\", \"KA-nyoNJWbjWglN5P\", \"67029429223126a325d5c0f4\", [\"example.com\"]);\n</script>",
        "createdAt": "2024-10-07T22:08:48.859Z"
    }
]
```
